Intelligent Assistant
Chat with our virtual assistant to get answers promptly.
We use essential cookies for the website to function, as well as analytics cookies for analyzing and creating statistics of the website performance. To agree to the use of analytics cookies, click "Accept All". You can manage your preferences at any time by clicking "Cookie Settings" on the footer. More Information.
HMS Core
Adds messages to a boarding pass model based on modelId.
This API is used to add one or more messages to a boarding pass model based on modelId. After you modify a pass model, all passes using this model and claimed by users will be updated accordingly. For details about the update scenarios, please refer to Synchronous and Asynchronous Update.
You need to create an app in AppGallery Connect and apply for services corresponding to the passes. In addition, messages can be added only to a model that has been added to the Huawei server.
Protocol |
HTTPS POST |
|---|---|
Direction |
Developer server -> HUAWEI Account Kit server |
URL |
{url}/hmspass/v1/flight/model/{modelId}/addMessage Set the {url} variable based on the region where the server is located. For details, please refer to Wallet Server Addresses. |
Data Format |
Request: Content-Type: application/json Response: Content-Type: application/json |
Parameter |
Mandatory/Optional |
Type |
Description |
|---|---|---|---|
modelId |
Mandatory |
String |
Unique identifier of a pass model. It must be unique across all models sharing the same appId. The value contains only letters, digits, dots (.), hyphens (-), and underscores (_). |
Request Header
Parameter |
Mandatory/Optional |
Type |
Description |
|---|---|---|---|
Authorization |
Mandatory |
String |
Authorization code. For details about how to obtain the value, please refer to the Client Credentials mode in OAuth 2.0-based Authentication. In this mode, client_id and client_secret are respectively the App ID and App key of the app that you created in AppGallery Connect. Concatenate the value of access_token to the end of Bearer, with a space in between, to generate the value of Authorization. |
Content-Type |
Mandatory |
String |
The value is always application/json;charset=utf-8. |
Accept |
Mandatory |
String |
The value is always application/json;charset=utf-8. |
Request Body
Parameter |
Mandatory/Optional |
Type |
Description |
|---|---|---|---|
messageList |
Mandatory |
List<ValueObject> |
Messages to be added. |
- POST /hmspass/v1/flight/model/flightModelTest/addMessage HTTP/1.1
- Content-Type: application/json;charset=utf-8
- Authorization: Bearer ***
- Accept: application/json;charset=utf-8
- Host: wallet-passentrust-drcn.cloud.huawei.com.cn
- {
- "messageList": [
- {
- "key": "message[10]",
- "value": "Hello everyone!"
- }
- ]
- }
When the result code is 200:
Parameter |
Type |
Description |
|---|---|---|
For details, please refer to the HwWalletObject Parameters. |
Updated pass model. |
- HTTP/1.1 200 OK
- Content-Type: application/json
- {
- "passVersion": "2.0",
- "passTypeIdentifier": "hwpass.com.huawei.wallet.flight.test",
- "passStyleIdentifier": "flightModelTest",
- "organizationName": "XXX Airline",
- "fields": {
- "countryCode": "CN",
- "locationList": [
- {
- "longitude": "114.0679603815",
- "latitude": "22.6592051284"
- }
- ],
- "commonFields": [
- {
- "key": "logo",
- "value": "https://www.huawei.com/XXX.png"
- },
- {
- "key": "merchantName",
- "value": "XXX Airline",
- "localizedValue": "merchantNameI18N"
- },
- {
- "key": "flightNumber",
- "value": "MU2887"
- },
- {
- "key": "departureTerminal",
- "value": "T3"
- },
- {
- "key": "boardingGate",
- "value": "108"
- },
- {
- "key": "departureCity",
- "value": "Nanjing"
- },
- {
- "key": "arrivalTerminal",
- "value": "T3"
- },
- {
- "key": "arrivalCity",
- "value": "Shenzhen"
- }
- ],
- "appendFields": [
- {
- "key": "backgroundColor",
- "value": "#FF1C2635"
- }
- ],
- "imageList": [
- {
- "key": "mainImage[0]",
- "value": "https://www.huawei.com/XXX0.png"
- },
- {
- "key": "mainImage[1]",
- "value": "https://www.huawei.com/XXX1.png"
- },
- {
- "key": "mainImage[2]",
- "value": "https://www.huawei.com/XXX2.png"
- }
- ],
- "messageList": [
- {
- "key": "message[0]",
- "value": "Enjoy the journey!"
- },
- {
- "key": "message[10]",
- "value": "Hello everyone!"
- }
- ],
- "timeList": [
- {
- "key": "departureTime",
- "value": "2020-05-09T12:30:00.010Z"
- },
- {
- "key": "scheduledDepartureTime",
- "value": "2020-05-09T10:30:00.010Z"
- },
- {
- "key": "boardingTime",
- "value": "2020-05-09T12:00:00.010Z"
- },
- {
- "key": "arrivalTime",
- "value": "2020-05-09T14:30:00.010Z"
- },
- {
- "key": "scheduledArrivalTime",
- "value": "2020-05-09T12:30:00.010Z"
- }
- ],
- "localized": [
- {
- "key": "merchantNameI18N",
- "language": "zh-cn",
- "value": "XXX Airline"
- },
- {
- "key": "merchantNameI18N",
- "language": "en",
- "value": "XXX Airline"
- }
- ]
- }
- }
For details, please refer to Result Codes.
- public HwWalletObject addMessageToHwWalletObject(String url, String resourceId, String body) {
- // Construct the HTTP header.
- HttpHeaders header = constructHttpHeaders();
- // Construct the HTTP URL.
- String baseUrl = ConfigHelper.instants().getValue("walletServerBaseUrl");
- String walletServerUrl = baseUrl + url.replace("addMessage", "") + resourceId + "/addMessage";
- // Construct the HTTP body.
- JSONObject jsonObj = JSONObject.parseObject(body);
-
- // Send the HTTP request and obtain the response.
- HttpEntity<JSONObject> entity = new HttpEntity<>(jsonObj, header);
- ResponseEntity<HwWalletObject> response =
- REST_TEMPLATE.exchange(walletServerUrl, HttpMethod.POST, entity, HwWalletObject.class);
-
- // Return the updated HwWalletObject.
- return response.getBody();
- }
Intelligent Assistant
Chat with our virtual assistant to get answers promptly.
Quick start
Helps you find desired resources with ease.